# Administration Reference

## backup interactive

Purpose

Enters interactive mode

Synopsis

    backup [interactive]  [-localauth]  [-cell <cell name>]  [-help]

    backup [i]  [-l]  [-c <cell name>]  [-h]

Description

The backup interactive initiates an interactive session for issuing backup commands. As indicated in the syntax statement, the operation code (interactive) is optional.

Several features of interactive mode distinguish it from regular mode:

- In interactive mode, the `backup>` prompt replaces the system (shell) prompt. The operator enters only a command's operation code (omitting the command suite name, backup).

- If the -localauth flag or the -cell argument is included on the backup (interactive) command, the settings apply to all commands issued during that interactive session. The issuer does not need to type them on every command. Another consequence is that the flag and argument do not appear in the syntax statement generated by the help subcommand or -help flag on an individual command issued at the `backup>` prompt.

- The (backup) jobs and (backup) kill commands are available only in interactive mode. It is not possible to track and terminate backup operations as cleanly in non-interactive mode.

- It is not necessary to enclose strings that include metacharacters in double quotes or other delimiters.

- The backup command interpreter establishes a connection to the Backup Server, Volume Server and Volume Location (VL) Server processes as it enters interactive mode, and uses the same connection for all commands during the session. Execution time can therefore be faster than in non-interactive mode, in which the command interpreter must establish a new connection for each command.

To exit an interactive session, issue the (backup) quit command.

Options

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the introductory backup reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory backup reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example shows how the -localauth flag and -cell argument do not appear when the help dump subcommand is issued in interactive mode.

       % backup
       backup> help dump
       dump: start dump
       Usage: dump [-volumeset <volume set name>] [-dump <dump level name>]
       [-portoffset <TC port offset>] [-at <Date/time to start dump>+]
       [-append ] [-n ] [-file <load file>] [-help ]

Privilege Required

None. However, backup commands that require privilege in regular mode still require it in interactive mode.

Related Information

backup

backup jobs

backup kill

backup quit

butc

© IBM Corporation 2000. All Rights Reserved